> ## Documentation Index
> Fetch the complete documentation index at: https://developer.onecodex.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create A Project

Create a new Project owned by the authenticated user. The `project_name` must be unique within the user's organization and match the pattern `^[a-zA-Z0-9_-]{3,15}$`.


## OpenAPI

````yaml POST /api/v1/projects
openapi: 3.1.0
info:
  description: >-
    The One Codex API (v1) -- programmatic access to One Codex's suite of
    microbial genomics data storage, analysis, and query tools.
  title: One Codex API (v1)
  version: v1
servers:
  - url: https://app.onecodex.com
security:
  - apiKeyAuth: []
paths:
  /api/v1/projects:
    post:
      summary: POST projects instances
      operationId: post_projects_instances
      requestBody:
        content:
          application/json:
            schema:
              properties:
                description:
                  anyOf:
                    - type: string
                    - type: 'null'
                  default: null
                  title: Description
                name:
                  anyOf:
                    - type: string
                    - type: 'null'
                  default: null
                  title: Name
                project_name:
                  anyOf:
                    - type: string
                    - type: 'null'
                  default: null
                  title: Project Name
              title: ProjectPatchSchema
              type: object
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/projects'
          description: OK
components:
  schemas:
    projects:
      properties:
        $uri:
          example: /api/v1/projects/0d77065796f8d173
          pattern: ^/api/v1/projects/[a-f0-9]{16}$
          readOnly: true
          title: $Uri
          type: string
        description:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          title: Description
        external_id:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          example: PRJ-2024-001
          title: External Id
        name:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          title: Name
        owner:
          properties:
            __DOLLAR_REF__:
              example: /api/v1/users/a1b2c3d4e5f67890
              format: uri
              pattern: ^/api/v1/users/[a-f0-9]{16}$
              type: string
          title: users
          type: object
        permissions:
          items:
            type: string
          title: Permissions
          type: array
        project_name:
          anyOf:
            - maxLength: 15
              minLength: 3
              pattern: ^[a-zA-Z0-9_-]{3,15}$
              type: string
            - type: 'null'
          title: Project Name
        public:
          default: false
          title: Public
          type: boolean
      required:
        - $uri
        - owner
        - permissions
        - project_name
      title: projects
      type: object
  securitySchemes:
    apiKeyAuth:
      in: header
      name: X-API-Key
      type: apiKey

````